Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18998

Description

Hi,

I see in the qgis-dev (just update), when identify a vector layer usually appear the identify windows and the clicked feature is showed with

a red boundary.

The previous versions, when close the windows , the red boundary will disappear also.

Instead I see now it persist.

And disappear only when click on the map.

History

#1 - 2014-06-15 09:57 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Subject changed from the identify layer is persist until clicked on map to highighted identified feature(s) does not disappear when closing identify dialog

#2 - 2014-06-15 12:22 PM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

- Status changed from Open to Feedback

- Category changed from Map Canvas to GUI

The identify dialog is now always in a dock.  When you close the dialog it is just hidden now and will still have the same feature if you reopen it.  But the

highlights will now disappear once you select another maptool or if you clear the identify dialog.

#3 - 2014-06-15 11:52 PM - Jürgen Fischer

- Subject changed from highighted identified feature(s) does not disappear when closing identify dialog to highlighted identified feature(s) does not 

disappear when closing identify dialog

#4 - 2014-06-25 09:16 AM - Pedro Venâncio

Hi,

Identify tool (with 'Auto open form' selected) only keeps highlighted when the layer is in editing mode. In the case of not being in editing mode, when you

close (cancel or close buttons) the form, the highlight disappears, as in previous QGIS versions.

As this is related to the new Identify results dialog, I think at least we should standardize the behavior, regardless of the tool being in editing mode or not.

#5 - 2014-10-08 09:18 AM - Giovanni Manghi

- Status changed from Feedback to Closed
- Resolution set to worksforme
